Raritan PX2/PX3 JSON-RPC API: security::Security_3_0_2 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Member Functions | Public Attributes | List of all members
security::Security_3_0_2 Interface Reference

Security configuration interface More...

`import"Security.idl";`

## Classes
struct | Settings
| Security configuration This structure is deprecated and will be removed in V3.0, use concrete getters and setters instead! More...

## Public Member Functions
Settings | getSettings ()
| Retrieve the security configuration. More...
int | setSettings (in Settings settings)
| Set the security configuration. More...
boolean | getHttpRedirSettings ()
| Retrieve the current state of the HTTP-to-HTTPS redirection. More...
void | setHttpRedirSettings (in boolean http2httpsRedir)
| Enable or disable HTTP-to-HTTPS redirection. More...
boolean | isHstsEnabled ()
| Check whether HTTP Strict Transport Security (HSTS) is enabled. More...
void | setHstsEnabled (in boolean enable)
| Enable or disable HTTP Strict Transport Security (HSTS). More...
IpFw_2_0_0 | getIpFwSettings ()
| Retrieve the IPv4 packet filter configuration. More...
int | setIpFwSettings (in IpFw_2_0_0 ipFw)
| Set the IPv4 packet filter configuration. More...
IpFw_2_0_0 | getIpV6FwSettings ()
| Retrieve the IPv6 packet filter configuration. More...
int | setIpV6FwSettings (in IpFw_2_0_0 ipV6Fw)
| Set the IPv6 packet filter configuration. More...
RoleAccessControl | getRoleAccessControlSettings ()
| Retrieve the role-base access control settings for IPv4. More...
int | setRoleAccessControlSettings (in RoleAccessControl settings)
| Change the role-based access control settings. More...
RoleAccessControl | getRoleAccessControlSettingsV6 ()
| Retrieve the role-base access control settings for IPv6. More...
int | setRoleAccessControlSettingsV6 (in RoleAccessControl settings)
| Change the role-based access control settings for IPv6. More...
void | getBlockSettings (out int blockTimeout, out int maxFailedLogins)
| Retrieve the current user blocking settings. More...
int | setBlockSettings (in int blockTimeout, in int maxFailedLogins)
| Change the user blocking settings. More...
PasswordSettings | getPwSettings ()
| Retrieve the password settings. More...
int | setPwSettings (in PasswordSettings pwSettings)
| Change the password settings. More...
int | getIdleTimeoutSettings ()
| Retrieve the current idle timeout. More...
int | setIdleTimeoutSettings (in int idleTimeout)
| Change the session idle timeout. More...
boolean | getSingleLoginLimitation ()
| Retrieve the current single-login limitation setting. More...
void | setSingleLoginLimitation (in boolean singleLogin)
| Enable or disable single login limitation. More...
SSHSettings | getSSHSettings ()
| Retrieve the current SSH settings. More...
void | setSSHSettings (in SSHSettings settings)
| Change the SSH settings. More...
vector< SSHHostKey > | getSSHHostKeys ()
| Retrieve the host SSH keys. More...
RestrictedServiceAgreement | getRestrictedServiceAgreement ()
| Retrieve the current Restricted Service Agreement settings. More...
int | setRestrictedServiceAgreement (in RestrictedServiceAgreement settings)
| Change the Restricted Service Agreement settings. More...
vector< string > | getSupportedFrontPanelPrivileges ()
| Retrieve a list of supported privileges for the front panel. More...
vector< string > | getFrontPanelPrivileges ()
| Retrieve the list of active front panel privileges. More...
int | setFrontPanelPrivileges (in vector< string > privileges)
| Set the privileges for the front panel. More...

## Public Attributes
constant int | ERR_INVALID_VALUE = 1
| Invalid arguments.

## Detailed Description

Security configuration interface

## Member Function Documentation

## ◆ getBlockSettings()

void security::Security_3_0_2::getBlockSettings | ( | out int | blockTimeout,
|  | out int | maxFailedLogins
| ) |  |

Retrieve the current user blocking settings.

Returns
  blockTimeout The block timeout in minutes
  maxFailedLogins The maximum failure count

## ◆ getFrontPanelPrivileges()

vector<string> security::Security_3_0_2::getFrontPanelPrivileges | ( |  | ) |

Retrieve the list of active front panel privileges.

Returns
  List of privilege names

## ◆ getHttpRedirSettings()

boolean security::Security_3_0_2::getHttpRedirSettings | ( |  | ) |

Retrieve the current state of the HTTP-to-HTTPS redirection.

Returns
  `true` if the HTTP-to-HTTPS redirection is enabled

## ◆ getIdleTimeoutSettings()

int security::Security_3_0_2::getIdleTimeoutSettings | ( |  | ) |

Retrieve the current idle timeout.

Returns
  Idle timeout in minutes

## ◆ getIpFwSettings()

IpFw_2_0_0 security::Security_3_0_2::getIpFwSettings | ( |  | ) |

Retrieve the IPv4 packet filter configuration.

Returns
  IPv4 packet filter configuration

## ◆ getIpV6FwSettings()

IpFw_2_0_0 security::Security_3_0_2::getIpV6FwSettings | ( |  | ) |

Retrieve the IPv6 packet filter configuration.

Returns
  IPv6 packet filter configuration

## ◆ getPwSettings()

PasswordSettings security::Security_3_0_2::getPwSettings | ( |  | ) |

Retrieve the password settings.

Returns
  Password settings

## ◆ getRestrictedServiceAgreement()

RestrictedServiceAgreement security::Security_3_0_2::getRestrictedServiceAgreement | ( |  | ) |

Retrieve the current Restricted Service Agreement settings.

Returns
  Restricted Service Agreement settings

## ◆ getRoleAccessControlSettings()

RoleAccessControl security::Security_3_0_2::getRoleAccessControlSettings | ( |  | ) |

Retrieve the role-base access control settings for IPv4.

Returns
  Role-based access control settings

## ◆ getRoleAccessControlSettingsV6()

RoleAccessControl security::Security_3_0_2::getRoleAccessControlSettingsV6 | ( |  | ) |

Retrieve the role-base access control settings for IPv6.

Returns
  Role-based access control settings

## ◆ getSettings()

Settings security::Security_3_0_2::getSettings | ( |  | ) |

Retrieve the security configuration.

This method is depreacted and will be removed in V3.0, use concrete getter instead!

Returns
  Security configuration

## ◆ getSingleLoginLimitation()

boolean security::Security_3_0_2::getSingleLoginLimitation | ( |  | ) |

Retrieve the current single-login limitation setting.

Returns
  `true` if single-login limitation is enabled

## ◆ getSSHHostKeys()

vector<SSHHostKey> security::Security_3_0_2::getSSHHostKeys | ( |  | ) |

Retrieve the host SSH keys.

Returns
  SSH host keys

## ◆ getSSHSettings()

SSHSettings security::Security_3_0_2::getSSHSettings | ( |  | ) |

Retrieve the current SSH settings.

Returns
  SSH settings

## ◆ getSupportedFrontPanelPrivileges()

vector<string> security::Security_3_0_2::getSupportedFrontPanelPrivileges | ( |  | ) |

Retrieve a list of supported privileges for the front panel.

Returns
  List of privilege names

## ◆ isHstsEnabled()

boolean security::Security_3_0_2::isHstsEnabled | ( |  | ) |

Check whether HTTP Strict Transport Security (HSTS) is enabled.

Returns
  `true` when HSTS is enabled

## ◆ setBlockSettings()

int security::Security_3_0_2::setBlockSettings | ( | in int | blockTimeout,
|  | in int | maxFailedLogins
| ) |  |

Change the user blocking settings.

Parameters

  blockTimeout | User blocking timeout in minutes
  maxFailedLogins | Maximum number of failed logins

Returns
  0 on success
  ERR_INVALID_VALUE if any argument was invalid

## ◆ setFrontPanelPrivileges()

int security::Security_3_0_2::setFrontPanelPrivileges | ( | in vector< string > | privileges | ) |

Set the privileges for the front panel.

Returns
  0 on success
  ERR_INVALID_VALUE if any argument was invalid

## ◆ setHstsEnabled()

void security::Security_3_0_2::setHstsEnabled | ( | in boolean | enable | ) |

Enable or disable HTTP Strict Transport Security (HSTS).

Parameters

  enable | `true` to enable HSTS

## ◆ setHttpRedirSettings()

void security::Security_3_0_2::setHttpRedirSettings | ( | in boolean | http2httpsRedir | ) |

Enable or disable HTTP-to-HTTPS redirection.

Parameters

  http2httpsRedir | `true` to enable the redirection

## ◆ setIdleTimeoutSettings()

int security::Security_3_0_2::setIdleTimeoutSettings | ( | in int | idleTimeout | ) |

Change the session idle timeout.

Parameters

  idleTimeout | New idle timeout in minutes

Returns
  0 on success
  ERR_INVALID_VALUE if any argument was invalid

## ◆ setIpFwSettings()

int security::Security_3_0_2::setIpFwSettings | ( | in IpFw_2_0_0 | ipFw | ) |

Set the IPv4 packet filter configuration.

Parameters

  ipFw | New packet filter settings

Returns
  0 on success
  ERR_INVALID_VALUE if any argument was invalid

## ◆ setIpV6FwSettings()

int security::Security_3_0_2::setIpV6FwSettings | ( | in IpFw_2_0_0 | ipV6Fw | ) |

Set the IPv6 packet filter configuration.

Parameters

  ipV6Fw | New packet filter settings

Returns
  0 on success
  ERR_INVALID_VALUE if any argument was invalid

## ◆ setPwSettings()

int security::Security_3_0_2::setPwSettings | ( | in PasswordSettings | pwSettings | ) |

Change the password settings.

Parameters

  pwSettings | New settings

Returns
  0 on success
  ERR_INVALID_VALUE if any argument was invalid

## ◆ setRestrictedServiceAgreement()

int security::Security_3_0_2::setRestrictedServiceAgreement | ( | in RestrictedServiceAgreement | settings | ) |

Change the Restricted Service Agreement settings.

Parameters

  settings | New settings

Returns
  0 on success
  ERR_INVALID_VALUE if any argument was invalid

## ◆ setRoleAccessControlSettings()

int security::Security_3_0_2::setRoleAccessControlSettings | ( | in RoleAccessControl | settings | ) |

Change the role-based access control settings.

Parameters

  settings | New settings

Returns
  0 on success
  ERR_INVALID_VALUE if any argument was invalid

## ◆ setRoleAccessControlSettingsV6()

int security::Security_3_0_2::setRoleAccessControlSettingsV6 | ( | in RoleAccessControl | settings | ) |

Change the role-based access control settings for IPv6.

Parameters

  settings | New settings

Returns
  0 on success
  ERR_INVALID_VALUE if any argument was invalid

## ◆ setSettings()

int security::Security_3_0_2::setSettings | ( | in Settings | settings | ) |

Set the security configuration.

This method is depreacted and will be removed in V3.0, use concrete setter instead!

Parameters

  settings | New security settings

Returns
  0 on success
  ERR_INVALID_VALUE if any argument was invalid

## ◆ setSingleLoginLimitation()

void security::Security_3_0_2::setSingleLoginLimitation | ( | in boolean | singleLogin | ) |

Enable or disable single login limitation.

Parameters

  singleLogin | `true` to enable single login limitation

## ◆ setSSHSettings()

void security::Security_3_0_2::setSSHSettings | ( | in SSHSettings | settings | ) |

Change the SSH settings.

Parameters

  settings | New settings

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Security.idl